# ngsPETSc.nullspace

This module contains all the function and class needed to wrap a PETSc Nullspace in NGSolve

## Classes

`NullSpace` | This class creates a PETSc Null space from NGSolve vectors

## Module Contents

class ngsPETSc.nullspace.NullSpace(fes, span, near=False)

  This class creates a PETSc Null space from NGSolve vectors

  Parameters:

    - fes – NGSolve finite element space.

    - span – list NGSolve grid functions spanning the null space.

  vecMap
  near = False
  constant = False
  nullspace
  orthonormalize(basis)

    Orthonormalize the basis.